diff --git a/bindings.cpp b/bindings.cpp
index 739d6fe5b0..9a01bbecc4 100644
--- a/bindings.cpp
+++ b/bindings.cpp
@@ -845,6 +845,41 @@ bool DeRestPluginPrivate::sendConfigureReportingRequest(BindingTask &bt)
 
         return processed > 0;
     }
+    else if (bt.binding.clusterId == IAS_ZONE_CLUSTER_ID)
+    {
+        // zone status reporting only supported by some devices
+        if (bt.restNode->node()->nodeDescriptor().manufacturerCode() != VENDOR_CENTRALITE)
+        {
+            return false;
+        }
+
+        // add values if not already present
+        deCONZ::NumericUnion dummy;
+        dummy.u64 = 0;
+        if (bt.restNode->getZclValue(bt.binding.clusterId, IAS_ZONE_CLUSTER_ATTR_ZONE_STATUS_ID).clusterId != bt.binding.clusterId)
+        {
+            bt.restNode->setZclValue(NodeValue::UpdateInvalid, bt.binding.clusterId, IAS_ZONE_CLUSTER_ATTR_ZONE_STATUS_ID, dummy);
+        }
+        NodeValue &val = bt.restNode->getZclValue(bt.binding.clusterId, IAS_ZONE_CLUSTER_ATTR_ZONE_STATUS_ID);
+        val.minInterval = 1;
+        val.maxInterval = 300;
+
+        const Sensor *sensor = dynamic_cast<Sensor *>(bt.restNode);
+        const ResourceItem *item = sensor ? sensor->item(RConfigDuration) : nullptr;
+
+        if (item && item->toNumber() > 15 && item->toNumber() <= UINT16_MAX)
+        {
+            val.maxInterval = static_cast<quint16>(item->toNumber());
+            val.maxInterval -= 5; // report before going presence: false
+        }
+
+        rq.dataType = deCONZ::Zcl16BitBitMap;
+        rq.attributeId = IAS_ZONE_CLUSTER_ATTR_ZONE_STATUS_ID;
+        rq.minInterval = val.minInterval;
+        rq.maxInterval = val.maxInterval;
+        rq.reportableChange16bit = 0xffff;
+        return sendConfigureReportingRequest(bt, {rq});
+    }
     else if (bt.binding.clusterId == ILLUMINANCE_MEASUREMENT_CLUSTER_ID)
     {
         rq.dataType = deCONZ::Zcl16BitUint;
@@ -967,6 +1002,13 @@ bool DeRestPluginPrivate::sendConfigureReportingRequest(BindingTask &bt)
             rq.maxInterval = 1800;
             rq.reportableChange8bit = 0xFF;
         }
+        else if (sensor && sensor->modelId() == QLatin1String("Motion Sensor-A"))
+        {
+            rq.attributeId = 0x0020;   // battery voltage
+            rq.minInterval = 3600;
+            rq.maxInterval = 3600;
+            rq.reportableChange8bit = 0;
+        }
         else if (sensor && sensor->modelId().startsWith(QLatin1String("tagv4")))
         {
             rq.attributeId = 0x0020;   // battery voltage
@@ -1359,6 +1401,12 @@ void DeRestPluginPrivate::checkLightBindingsForAttributeReporting(LightNode *lig
                     bindingExists = true;
                     break;
                 }
+
+                if (val.timestampLastConfigured.isValid() && val.timestampLastConfigured.secsTo(now) < (60 * 60))
+                {
+                    bindingExists = true;
+                    break;
+                }
             }
 
             // support only XAL on/off cluster for now
@@ -1588,6 +1636,10 @@ bool DeRestPluginPrivate::checkSensorBindingsForAttributeReporting(Sensor *senso
         }
         else if (*i == OCCUPANCY_SENSING_CLUSTER_ID)
         {
+            if (sensor->modelId() == QLatin1String("Motion Sensor-A"))
+            {
+                continue; // use ias zone cluster
+            }
             val = sensor->getZclValue(*i, 0x0000); // occupied state
         }
         else if (*i == POWER_CONFIGURATION_CLUSTER_ID)
@@ -1601,6 +1653,10 @@ bool DeRestPluginPrivate::checkSensorBindingsForAttributeReporting(Sensor *senso
             {
                 val = sensor->getZclValue(*i, 0x0035); // battery alarm mask
             }
+            else if (sensor->modelId() == QLatin1String("Motion Sensor-A"))
+            {
+                val = sensor->getZclValue(*i, 0x0020); // battery voltage
+            }
             else
             {
                 val = sensor->getZclValue(*i, 0x0021); // battery percentage remaining
@@ -1624,7 +1680,18 @@ bool DeRestPluginPrivate::checkSensorBindingsForAttributeReporting(Sensor *senso
         }
         else if (*i == IAS_ZONE_CLUSTER_ID)
         {
-            val = sensor->getZclValue(*i, 0x0000); // zone status
+            val = sensor->getZclValue(*i, IAS_ZONE_CLUSTER_ATTR_ZONE_STATUS_ID); // zone status
+
+            if (sensor->manufacturer() == QLatin1String("CentraLite"))
+            {
+                const ResourceItem *item = sensor->item(RConfigDuration);
+                // update max reporting interval according to config.duration
+                if (item && item->toNumber() > 15 && item->toNumber() <= UINT16_MAX)
+                {
+                    val.maxInterval = static_cast<quint16>(item->toNumber());
+                    val.maxInterval -= 5; // report before going presence: false
+                }
+            }
         }
         else if (*i == VENDOR_CLUSTER_ID)
         {
diff --git a/de_web_plugin.cpp b/de_web_plugin.cpp
index b30d87b9ea..46abab1139 100644
--- a/de_web_plugin.cpp
+++ b/de_web_plugin.cpp
@@ -5034,11 +5034,15 @@ void DeRestPluginPrivate::updateSensorNode(const deCONZ::NodeEvent &event)
                             }
                             else if (ia->id() == 0x0020) // battery voltage
                             {
-                                if (!i->modelId().startsWith(QLatin1String("tagv4"))) // SmartThings Arrival sensor
+                                if (i->modelId().startsWith(QLatin1String("tagv4")) || // SmartThings Arrival sensor
+                                    i->modelId() == QLatin1String("Motion Sensor-A"))
+                                {  }
+                                else
                                 {
                                     continue;
                                 }
 
+
                                 if (updateType != NodeValue::UpdateInvalid)
                                 {
                                     i->setZclValue(updateType, event.clusterId(), ia->id(), ia->numericValue());
@@ -5067,12 +5071,12 @@ void DeRestPluginPrivate::updateSensorNode(const deCONZ::NodeEvent &event)
                                     if      (bat > 100) { bat = 100; }
                                     else if (bat <= 0)  { bat = 1; } // ?
 
-                                    if (item->toNumber() != bat)
+                                    if (item->toNumber() != static_cast<quint8>(bat))
                                     {
                                         i->setNeedSaveDatabase(true);
                                         queSaveDb(DB_SENSORS, DB_HUGE_SAVE_DELAY);
                                     }
-                                    item->setValue(bat);
+                                    item->setValue(static_cast<quint8>(bat));
                                     Event e(RSensors, RConfigBattery, i->id(), item);
                                     enqueueEvent(e);
                                 }
@@ -8241,7 +8245,8 @@ void DeRestPluginPrivate::handleZclAttributeReportIndication(const deCONZ::ApsDa
             checkMacVendor(ind.srcAddress(), VENDOR_IKEA) ||
             checkMacVendor(ind.srcAddress(), VENDOR_OSRAM_STACK) ||
             checkMacVendor(ind.srcAddress(), VENDOR_JENNIC) ||
-            checkMacVendor(ind.srcAddress(), VENDOR_SI_LABS))
+            checkMacVendor(ind.srcAddress(), VENDOR_SI_LABS) ||
+            checkMacVendor(ind.srcAddress(), VENDOR_CENTRALITE))
     {
         // these sensors tend to mac data poll after report
         checkReporting = true;
@@ -8268,7 +8273,7 @@ void DeRestPluginPrivate::handleZclAttributeReportIndication(const deCONZ::ApsDa
             }
 
             if (sensor.node() &&
-                sensor.lastAttributeReportBind() < (idleTotalCounter - BUTTON_ATTR_REPORT_BIND_LIMIT))
+                ((sensor.lastAttributeReportBind() < (idleTotalCounter - BUTTON_ATTR_REPORT_BIND_LIMIT)) || sensor.lastAttributeReportBind() == 0))
             {
                 sensor.setLastAttributeReportBind(idleTotalCounter);
                 checkSensorBindingsForAttributeReporting(&sensor);
diff --git a/de_web_plugin_private.h b/de_web_plugin_private.h
index 71eb3e4b9a..9b25f4e679 100644
--- a/de_web_plugin_private.h
+++ b/de_web_plugin_private.h
@@ -182,6 +182,8 @@
 #define UBISYS_DEVICE_SETUP_CLUSTER_ID        0xFC00
 #define XAL_CLUSTER_ID                        0xFCCE
 
+#define IAS_ZONE_CLUSTER_ATTR_ZONE_STATUS_ID  0x0002
+
 #define GREEN_POWER_ENDPOINT 0xf2
 
 #define ONOFF_COMMAND_OFF     0x00
diff --git a/ias_zone.cpp b/ias_zone.cpp
index 4f664610c1..5f78b1d916 100644
--- a/ias_zone.cpp
+++ b/ias_zone.cpp
@@ -1,5 +1,5 @@
 /*
- * Copyright (c) 2017 dresden elektronik ingenieurtechnik gmbh.
+ * Copyright (c) 2017-2019 dresden elektronik ingenieurtechnik gmbh.
  * All rights reserved.
  *
  * The software in this package is published under the terms of the BSD
@@ -61,24 +61,43 @@ void DeRestPluginPrivate::handleIasZoneClusterIndication(const deCONZ::ApsDataIn
         }
     }
 
-    if (!zclFrame.isClusterCommand())
+    quint16 attrId = 0;
+    quint16 zoneStatus = 0; // might be reported or received via CMD_STATUS_CHANGE_NOTIFICATION
+
+    if (zclFrame.isProfileWideCommand() && zclFrame.commandId() == deCONZ::ZclReportAttributesId)
     {
-        return;
+        quint16 a;
+        quint8 dataType;
+
+        stream >> a;
+        stream >> dataType;
+
+        if (a == IAS_ZONE_CLUSTER_ATTR_ZONE_STATUS_ID && dataType == deCONZ::Zcl16BitBitMap)
+        {
+            attrId = a; // mark as reported
+            stream >> zoneStatus;
+        }
+
+        if (stream.status() == QDataStream::ReadPastEnd)
+        {
+            return; // sanity
+        }
     }
 
-    if (zclFrame.commandId() == CMD_STATUS_CHANGE_NOTIFICATION)
+    if ((zclFrame.commandId() == CMD_STATUS_CHANGE_NOTIFICATION && zclFrame.isClusterCommand()) || attrId == IAS_ZONE_CLUSTER_ATTR_ZONE_STATUS_ID)
     {
-        quint16 zoneStatus;
-        quint8 extendedStatus;
-        quint8 zoneId;
-        quint16 delay;
-
-        stream >> zoneStatus;
-        stream >> extendedStatus; // reserved, set to 0
-        stream >> zoneId;
-        stream >> delay;
 
-        DBG_Printf(DBG_ZCL, "IAS Zone Status Change, status: 0x%04X, zoneId: %u, delay: %u\n", zoneStatus, zoneId, delay);
+        if (zclFrame.commandId() == CMD_STATUS_CHANGE_NOTIFICATION)
+        {
+            quint8 extendedStatus;
+            quint8 zoneId;
+            quint16 delay;
+            stream >> zoneStatus;
+            stream >> extendedStatus; // reserved, set to 0
+            stream >> zoneId;
+            stream >> delay;
+            DBG_Printf(DBG_ZCL, "IAS Zone Status Change, status: 0x%04X, zoneId: %u, delay: %u\n", zoneStatus, zoneId, delay);
+        }
 
         Sensor *sensor = nullptr;
 
@@ -113,7 +132,7 @@ void DeRestPluginPrivate::handleIasZoneClusterIndication(const deCONZ::ApsDataIn
             return;
         }
 
-        const char *attr = 0;
+        const char *attr = nullptr;
         if (sensor->type() == QLatin1String("ZHAAlarm"))
         {
             attr = RStateAlarm;
@@ -143,7 +162,7 @@ void DeRestPluginPrivate::handleIasZoneClusterIndication(const deCONZ::ApsDataIn
             attr = RStateWater;
         }
 
-        ResourceItem *item = 0;
+        ResourceItem *item = nullptr;
         if (attr)
         {
             item = sensor->item(attr);
@@ -179,7 +198,7 @@ void DeRestPluginPrivate::handleIasZoneClusterIndication(const deCONZ::ApsDataIn
 
             deCONZ::NumericUnion num = {0};
             num.u16 = zoneStatus;
-            sensor->setZclValue(NodeValue::UpdateByZclReport, IAS_ZONE_CLUSTER_ID, 0x0000, num);
+            sensor->setZclValue(NodeValue::UpdateByZclReport, IAS_ZONE_CLUSTER_ID, IAS_ZONE_CLUSTER_ATTR_ZONE_STATUS_ID, num);
 
             item2 = sensor->item(RConfigReachable);
             if (item2 && !item2->toBool())
@@ -190,8 +209,14 @@ void DeRestPluginPrivate::handleIasZoneClusterIndication(const deCONZ::ApsDataIn
 
             if (alarm && item->descriptor().suffix == RStatePresence)
             {   // prepare to automatically set presence to false
+                NodeValue &val = sensor->getZclValue(IAS_ZONE_CLUSTER_ID, IAS_ZONE_CLUSTER_ATTR_ZONE_STATUS_ID);
+
                 item2 = sensor->item(RConfigDuration);
-                if (item2 && item2->toNumber() > 0)
+                if (val.maxInterval > 0)
+                {
+                    sensor->durationDue = item->lastSet().addSecs(val.maxInterval);
+                }
+                else if (item2 && item2->toNumber() > 0)
                 {
                     sensor->durationDue = item->lastSet().addSecs(item2->toNumber());
                 }
@@ -199,7 +224,7 @@ void DeRestPluginPrivate::handleIasZoneClusterIndication(const deCONZ::ApsDataIn
         }
 
     }
-    else if (zclFrame.commandId() == CMD_ZONE_ENROLL_REQUEST)
+    else if (zclFrame.commandId() == CMD_ZONE_ENROLL_REQUEST && zclFrame.isClusterCommand())
     {
         quint16 zoneType;
         quint16 manufacturer;
